<?php
foreach($_GET  as $key => $value){${$key}=trim($value);} 
foreach($_POST as $key => $value){${$key}=trim($value);} 

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}

if(!empty($codigo))
{
     $sql_updt='update '.$tabla.'0 set '.$tabla.'_lused=now() where '.$tabla.'_codigo="'.$codigo.'"';
     $res_updt=msql_query($sql_updt,$link_data);
     
     $maes_codigo=data_maes($tabla,$codigo,$link_data,$exact);

     $domd=new DomDocument();
          $domd->encoding = 'utf-8';
          $domd->xmlVersion = '1.0';
          $domd->formatOutput = true;
     $elem=$domd;

     $response=$elem->appendChild($elem->createElement("response"));

     if(empty($column))
     {$result=$response->appendChild($elem->createElement("result"));}
     else
     {$result=$response;}
     // {$maes=$response->appendChild($elem->createElement("result"));}

//      echo 'AQUI***************';
//      var_dump($maes_codigo);
//      if(trim($maes_codigo[$tabla.'_codigo'])!='')     
//      if(count($maes_codigo)>=4)
     
     if(count($maes_codigo)==0)
     if(mb_stristr('enti.clie.prov.empl',$tabla))
     {
          $maes=$result->appendChild($elem->createElement($tabla));
          $field=$maes->appendChild($elem->createElement('enti_codigo',$codigo));
     }
     
     if(count($maes_codigo)!=0)
     {
//      echo 'AQUI+++++++++++++++++';
//      var_dump($maes_codigo);
          $value_ok=0;
          $maes=$result->appendChild($elem->createElement($tabla));
          foreach($maes_codigo as $key => $value)
          {
            $value=trim($value);
//                echo '*/*/*'.$maes.'----'.$key;
            if(mb_stristr('empr',$tabla))
            {if($key==$tabla.'_codigo'){$value=strtolower($value);}}
               
            if(mb_stristr('enti.item.ctas.plvh',$tabla))
            {
               if($key==$tabla.'_descri')
               {
                    $value=str_replace('/ ','/',$value);
                    $value=str_replace('/','/ ',$value);
                    $value=ucwords2(strtolower($value));
                    $value=str_replace('/ ','/',$value);
               }
            }
               
            if(!empty($value))
            {$field=$maes->appendChild($elem->createElement($key,htmlspecialchars($value))); $value_ok=1;}

            if(strtolower($key)==strtolower($tabla.'_codigo'))
            {$field=$maes->appendChild($elem->createElement($tabla,htmlspecialchars($value)));}

            if(strtolower($key)==strtolower($tabla.'_codigo'))
            {$field=$maes->appendChild($elem->createElement('codigo',htmlspecialchars($value)));}

            if(strtolower($key)==strtolower($column))
            {$field=$maes->appendChild($elem->createElement('result',htmlspecialchars($value)));}

          }
          
          if($value_ok==1)
          {
               $dlpuni=$maes->appendChild($elem->createElement('dlpuni',' '));
               $dlpvp=$maes->appendChild($elem->createElement('dlpvp',' '));
               $dldcto=$maes->appendChild($elem->createElement('dldcto',' '));
               for($idx=1;$idx<=10;$idx++)
               {
                    $precio=$maes_codigo['item_puni'.$idx];
                    $prepvp=$maes_codigo['item_pvp'.$idx];
                    $predcto=$maes_codigo['item_dcto'.$idx];
                    $ppro1=$maes_codigo['item_ppro1'.$idx];
                    $dpre=$maes_codigo['item_dpre'];
                    if(empty($dpre)){$dpre=2;}
                    if($precio>0)
                    {
                         $optv1=$precio;
                         {$optv2='P.Uni '.$idx.'-->'.number_format($precio,2);}
     //                     else
     //                     {$optv2='P.Uni '.$idx.'-->'.$precio;}

                         if($prepvp>$precio){$optv2.='==>'.number_format($prepvp,$dpre);}
                         $option=$dlpuni->appendChild($elem->createElement('option',htmlspecialchars($optv2)));
                         $option->setAttribute("value",$optv1);
                    }
                    if($prepvp>0)
                    {
                         $optv1=$prepvp;
                         $optv2='PVP '.$idx.'-->'.number_format($prepvp,$dpre);
                         $option=$dlpvp->appendChild($elem->createElement('option',htmlspecialchars($optv2)));
                         $option->setAttribute("value",$optv1);
                    }
                    if($predcto>0)
                    {
                         $optv1=$predcto;
                         $optv2='Dcto.'.$idx.'-->'.number_format($predcto,2);
                         $option=$dldcto->appendChild($elem->createElement('option',htmlspecialchars($optv2)));
                         $option->setAttribute("value",$optv1);
                    }
               }
          }
     }

     if(count($maes_codigo)==0)
     {$field=$elem->appendChild($elem->createElement('result',''));}     
//      {$field=$maes->appendChild($elem->createElement('result',''));}     

     echo $domd->saveXML();
}

?>
